Loading ...
Sorry, an error occurred while loading the content.

Apache 2.0 Migration issues

Expand Messages
  • Tarique Sani <tarique@sanisoft.com>
    A configuration issue for users migrating from Apache 1.3 to 2.0 which even took the founder of the PHP project by surprise was the change to PATH_INFO
    Message 1 of 1 , Jul 12, 2002
    • 0 Attachment
      A configuration issue for users migrating from Apache 1.3 to 2.0
      which even took the founder of the PHP project by surprise was the
      change to PATH_INFO handling. In 1.3, PATH_INFO is enabled by
      default, so a PHP script /script.php will be invoked if a request
      is made to the location /script.php/foo/bar, passing a PATH_INFO of
      /foo/bar to the script. The AcceptPathInfo directive was added in
      2.0, which currently must be explicitly enabled for PHP scripts,
      otherwise a 404 response will be returned. The developers discussed
      ways to allow the PHP module to internally enable PATH_INFO
      support, removing the need for AcceptPathInfo to be configured in
      this case.
    Your message has been successfully submitted and would be delivered to recipients shortly.